Skip to main content
GET
/
api
/
v1
/
billing
/
balance-transactions
List balance transactions
curl --request GET \
  --url https://api.myrouter.example/api/v1/billing/balance-transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "amount": {
        "value": "<string>",
        "currency": "<string>"
      },
      "balance_after": {
        "value": "<string>",
        "currency": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "related_generation_id": "<string>",
      "related_checkout_session_id": "<string>",
      "invoice_id": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-request-id
string

Optional caller request id.

Query Parameters

start_time
string<date-time>

Optional start time.

end_time
string<date-time>

Optional end time.

type
enum<string>

Optional transaction type filter.

Available options:
credit_purchase,
usage_charge,
refund,
adjustment
api_key_hash
string

Optional public key filter.

Response

List balance transactions response.

data
object[]
required

Balance transactions.

request_id
string

Request id.